import routerService from '@/common/services/router-service'

routerService.route('/sd-wps-editor', {
  component: './sd-wps-editor.vue',
  props: (route) => ({
    ...route.query,
    editable: route.query.editable === 'true',
    activeStepId: Number(route.query.activeStepId),
    fileStatus: Number(route.query.fileStatus)
  }),
})
